Installer aMule-CVS à partir fichier tar.gz2 [Fermé]

Signaler
-
Messages postés
2572
Date d'inscription
vendredi 1 avril 2005
Statut
Contributeur
Dernière intervention
6 septembre 2008
-
Bonsoir,

Je possède actuellement une vieille version d'aMule-CVS grace à un site fournissant pour ma mandriva 2008.1 les rpm. Hélas, pour la dernière version d'aMule-CVS, il n'y a pas de rpm et l'installation doit se faire à partir d'un fichier tar.gz2 et c'est là que tout se gâte pour moi.
En console je suis arrivé à décompressé le fichier en faisant : tar jxvf nom_du_fichier.tar.bz2
mais ensuite je sèche. Je ne sais pas comment compiler ce logiciel avec ma mandriva free 2008.1. Quelqu'un pourrait-il me donner les commandes à faire en console...
D'avance je vous en remercie et vous souhaite une très agréable soirée

3 réponses

Messages postés
14719
Date d'inscription
samedi 9 décembre 2006
Statut
Contributeur
Dernière intervention
1 juin 2021
2 327
bonjour,
et un simple urpmi amule c'est pas plus simple LOL
a+
et bien non, car c'est la version cryptée d'amule qui m'interesse (amule-SVM) et non la version classique d'amule car je suis en non dégroupé et seul la version SVN permet de faire sauter le bridage de mon FAI ;)
Messages postés
14719
Date d'inscription
samedi 9 décembre 2006
Statut
Contributeur
Dernière intervention
1 juin 2021
2 327
re,
c'est pas beau ça lol
revenons à nos moutons
en principe
ouvres une console
cd ou se trouve l'archive decompresse
$./configure
$make
su -
motdepasse (root)
make install
a+
un grand merci à toi ;)
bonne journéé
Messages postés
2572
Date d'inscription
vendredi 1 avril 2005
Statut
Contributeur
Dernière intervention
6 septembre 2008
373
Salut,

pour être exact et avoir un logiciel utilisable, il faut passer des options à ton configure :)
./configure --prefix=/usr \
		--enable-cas \
		--enable-wxcas \
		--enable-amule-daemon \
		--enable-amulecmd \
		--enable-amule-gui \
		--enable-alc \
		--enable-alcc \
		--enable-webserver \
		--disable-debug \
		--enable-optimize \
		--enable-geoip \
		--enable-upnp
  make
  make DESTDIR=/tmp/amule/pkg install


De plus en dépendances, tu as besoin de ceci :
'wxgtk>=2.8.0' 'gd>=2.0.34' 'binutils>=2.17.50.0' 'geoip' 'libupnp'
et pour compiler de 'crypto++'
Les noms des paquetages peuvent varier d'une distro à une autre évidement :)

Voici un fichier spec pour faire ton rpm, à toi de l'adapter :
http://distro.ibiblio.org/pub/linux/distributions/blag/latest/en/os/i386/SPECS/amule.spec